package com.bzd.system.service.ddgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 发票管理表(开发票，发票查询) service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SDdglFpglInvoiceinfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSDdglFpglInvoiceinfo(PageData pd)throws Exception {
        return daoSupport.update("SDdglFpglInvoiceinfoMapper.addSDdglFpglInvoiceinfo", pd);
    }

    public List<PageData> findSDdglFpglInvoiceinfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SDdglFpglInvoiceinfoMapper.selectSDdglFpglInvoiceinfoList", pd);
    }

    public Integer SDdglFpglInvoiceinfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SDdglFpglInvoiceinfoMapper.SDdglFpglInvoiceinfoRemove", pd);
    }


    public Integer updateSDdglFpglInvoiceinfo(PageData pd)throws Exception {
        return daoSupport.update("SDdglFpglInvoiceinfoMapper.updateSDdglFpglInvoiceinfo", pd);
    }

}
